Package org.apache.calcite.avatica.util

## Class AbstractCursor.ArrayAccessor

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl
  - - org.apache.calcite.avatica.util.AbstractCursor.ArrayAccessor

All Implemented Interfaces:
  `Cursor.Accessor`

Enclosing class:
  AbstractCursor

    public static class AbstractCursor.ArrayAccessor
    extends AbstractCursor.AccessorImpl

Accessor that assumes that the underlying value is an ARRAY; corresponds to `Types.ARRAY`.

### Field Summary

Fields
`(package private) Cursor.Accessor` `componentAccessor`
`(package private) AbstractCursor.SlotGetter` `componentSlotGetter`
`(package private) ColumnMetaData.AvaticaType` `componentType`
`(package private) ArrayImpl.Factory` `factory`

### Fields inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getter`

### Constructor Summary

Constructors
`ArrayAccessor​(AbstractCursor.Getter getter, ColumnMetaData.AvaticaType componentType, Cursor.Accessor componentAccessor, AbstractCursor.SlotGetter componentSlotGetter, ArrayImpl.Factory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`private java.lang.Object` `convertValue()`
`java.sql.Array` `getArray()`
`java.lang.Object` `getObject()`
`java.lang.String` `getString()`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getDate, getDouble, getFloat, getInt, getLong, getNCharacterStream, getNClob, getNString, getObject, getObject, getRef, getShort, getSQLXML, getStruct, getTime, getTimestamp, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### componentType

    final ColumnMetaData.AvaticaType componentType

#### componentAccessor

    final Cursor.Accessor componentAccessor

#### componentSlotGetter

    final AbstractCursor.SlotGetter componentSlotGetter

#### factory

    final ArrayImpl.Factory factory

### Constructor Detail

#### ArrayAccessor

    public ArrayAccessor​(AbstractCursor.Getter getter,
                         ColumnMetaData.AvaticaType componentType,
                         Cursor.Accessor componentAccessor,
                         AbstractCursor.SlotGetter componentSlotGetter,
                         ArrayImpl.Factory factory)

### Method Detail

#### getObject

    public java.lang.Object getObject()
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `Cursor.Accessor`
Overrides:
  `getObject` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`

#### convertValue

    private java.lang.Object convertValue()
                                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getArray

    public java.sql.Array getArray()
                            throws java.sql.SQLException

Specified by:
  `getArray` in interface `Cursor.Accessor`
Overrides:
  `getArray` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`

#### getString

    public java.lang.String getString()
                               throws java.sql.SQLException

Specified by:
  `getString` in interface `Cursor.Accessor`
Overrides:
  `getString` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`